package com.simuwang.manage.api.hostedEmail;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.ChannelIdPageQuery;
import com.simuwang.base.pojo.dto.query.ChannelPageQuery;
import com.simuwang.base.pojo.dto.query.HostedEmailPageQuery;
import com.simuwang.base.pojo.vo.*;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.ChannelService;
import com.simuwang.manage.service.HostedEmailService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@SystemLog(value = "渠道管理")
@RestController
@RequestMapping("/v1/hosted-email")
public class HostedEmailController {
    @Autowired
    private HostedEmailService hostedEmailService;

    /**
     * 保存托管信息
     * @param hostedEmailInfoVO
     * @return
     */
    @SystemLog(value = "保存托管邮箱信息", type = SystemLog.Type.INSERT)
    @PostMapping("save-hosted-email")
    public ResultVo saveHostEmail(@RequestBody HostedEmailInfoVO hostedEmailInfoVO) {
        ResultVo vo = hostedEmailService.saveHostEmail(hostedEmailInfoVO);
        return vo;
    }

    /**
     * 删除托管信息
     * @param idListVO
     * @return
     */
    @SystemLog(value = "删除托管信息", type = SystemLog.Type.INSERT)
    @PostMapping("delete-hosted-email")
    public ResultVo deleteHostEmail(@RequestBody IdListVO idListVO) {
        ResultVo vo = hostedEmailService.deleteHostEmail(idListVO.getIdList());
        return vo;
    }

    /**
     * 查询渠道信息
     * @param  hostedEmailPageQuery
     * @return
     */
    @SystemLog(value = "查询渠道信息")
    @RequestMapping("search-hosted-email-page")
    public MybatisPage<HostedEmailInfoVO> searchHostEmailPage(HostedEmailPageQuery hostedEmailPageQuery){
        MybatisPage<HostedEmailInfoVO> result = hostedEmailService.searchHostEmailPage(hostedEmailPageQuery);
        return result;
    }
}
